Bullet Collision Detection & Physics Library: btLCP Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btLCP Struct Reference

## Public Member Functions
| btLCP (int _n, int _nskip, int _nub, btScalar *_Adata, btScalar *_x, btScalar *_b, btScalar *_w, btScalar *_lo, btScalar *_hi, btScalar *l, btScalar *_d, btScalar *_Dell, btScalar *_ell, btScalar *_tmp, bool *_state, int *_findex, int *p, int *c, btScalar **Arows)
int | getNub () const
void | transfer_i_to_C (int i)
void | transfer_i_to_N (int i)
void | transfer_i_from_N_to_C (int i)
void | transfer_i_from_C_to_N (int i, btAlignedObjectArray< btScalar > &scratch)
int | numC () const
int | numN () const
int | indexC (int i) const
int | indexN (int i) const
btScalar | Aii (int i) const
btScalar | AiC_times_qC (int i, btScalar *q) const
btScalar | AiN_times_qN (int i, btScalar *q) const
void | pN_equals_ANC_times_qC (btScalar *p, btScalar *q)
void | pN_plusequals_ANi (btScalar *p, int i, int sign=1)
void | pC_plusequals_s_times_qC (btScalar *p, btScalar s, btScalar *q)
void | pN_plusequals_s_times_qN (btScalar *p, btScalar s, btScalar *q)
void | solve1 (btScalar *a, int i, int dir=1, int only_transfer=0)
void | unpermute ()

## Public Attributes
const int | m_n
const int | m_nskip
int | m_nub
int | m_nC
int | m_nN
BTATYPE const | m_A
btScalar *const | m_x
btScalar *const *const | m_b
btScalar *const *const *const | m_w
btScalar *const *const *const *const | m_lo
btScalar *const *const *const *const *const | m_hi
btScalar *const | m_L
btScalar *const *const | m_d
btScalar *const | m_Dell
btScalar *const *const | m_ell
btScalar *const *const *const | m_tmp
bool *const | m_state
int *const | m_findex
int *const *const | m_p
int *const *const *const | m_C

## Detailed Description

Definition at line 1210 of file btDantzigLCP.cpp.

## Constructor & Destructor Documentation

## ◆ btLCP()

btLCP::btLCP | ( | int | _n,
|  | int | _nskip,
|  | int | _nub,
|  | btScalar * | _Adata,
|  | btScalar * | _x,
|  | btScalar * | _b,
|  | btScalar * | _w,
|  | btScalar * | _lo,
|  | btScalar * | _hi,
|  | btScalar * | l,
|  | btScalar * | _d,
|  | btScalar * | _Dell,
|  | btScalar * | _ell,
|  | btScalar * | _tmp,
|  | bool * | _state,
|  | int * | _findex,
|  | int * | p,
|  | int * | c,
|  | btScalar ** | Arows
| ) |  |

Definition at line 1247 of file btDantzigLCP.cpp.

## Member Function Documentation

## ◆ AiC_times_qC()

btScalar btLCP::AiC_times_qC | ( | int | i,
|  | btScalar * | q
| ) |  | const
| inline

Definition at line 1237 of file btDantzigLCP.cpp.

## ◆ Aii()

btScalar btLCP::Aii | ( | int | i | ) | const
| inline

Definition at line 1236 of file btDantzigLCP.cpp.

## ◆ AiN_times_qN()

btScalar btLCP::AiN_times_qN | ( | int | i,
|  | btScalar * | q
| ) |  | const
| inline

Definition at line 1238 of file btDantzigLCP.cpp.

## ◆ getNub()

int btLCP::getNub | ( |  | ) | const
| inline

Definition at line 1227 of file btDantzigLCP.cpp.

## ◆ indexC()

int btLCP::indexC | ( | int | i | ) | const
| inline

Definition at line 1234 of file btDantzigLCP.cpp.

## ◆ indexN()

int btLCP::indexN | ( | int | i | ) | const
| inline

Definition at line 1235 of file btDantzigLCP.cpp.

## ◆ numC()

int btLCP::numC | ( |  | ) | const
| inline

Definition at line 1232 of file btDantzigLCP.cpp.

## ◆ numN()

int btLCP::numN | ( |  | ) | const
| inline

Definition at line 1233 of file btDantzigLCP.cpp.

## ◆ pC_plusequals_s_times_qC()

void btLCP::pC_plusequals_s_times_qC | ( | btScalar * | p,
|  | btScalar | s,
|  | btScalar * | q
| ) |  |

Definition at line 1735 of file btDantzigLCP.cpp.

## ◆ pN_equals_ANC_times_qC()

void btLCP::pN_equals_ANC_times_qC | ( | btScalar * | p,
|  | btScalar * | q
| ) |  |

Definition at line 1702 of file btDantzigLCP.cpp.

## ◆ pN_plusequals_ANi()

void btLCP::pN_plusequals_ANi | ( | btScalar * | p,
|  | int | i,
|  | int | sign = `1`
| ) |  |

Definition at line 1718 of file btDantzigLCP.cpp.

## ◆ pN_plusequals_s_times_qN()

void btLCP::pN_plusequals_s_times_qN | ( | btScalar * | p,
|  | btScalar | s,
|  | btScalar * | q
| ) |  |

Definition at line 1744 of file btDantzigLCP.cpp.

## ◆ solve1()

void btLCP::solve1 | ( | btScalar * | a,
|  | int | i,
|  | int | dir = `1`,
|  | int | only_transfer = `0`
| ) |  |

Definition at line 1755 of file btDantzigLCP.cpp.

## ◆ transfer_i_from_C_to_N()

void btLCP::transfer_i_from_C_to_N | ( | int | i,
|  | btAlignedObjectArray< btScalar > & | scratch
| ) |  |

Definition at line 1654 of file btDantzigLCP.cpp.

## ◆ transfer_i_from_N_to_C()

void btLCP::transfer_i_from_N_to_C | ( | int | i | ) |

Definition at line 1413 of file btDantzigLCP.cpp.

## ◆ transfer_i_to_C()

void btLCP::transfer_i_to_C | ( | int | i | ) |

Definition at line 1386 of file btDantzigLCP.cpp.

## ◆ transfer_i_to_N()

void btLCP::transfer_i_to_N | ( | int | i | ) |
| inline

Definition at line 1229 of file btDantzigLCP.cpp.

## ◆ unpermute()

void btLCP::unpermute | ( |  | ) |

Definition at line 1814 of file btDantzigLCP.cpp.

## Member Data Documentation

## ◆ m_A

BTATYPE const btLCP::m_A

Definition at line 1216 of file btDantzigLCP.cpp.

## ◆ m_b

btScalar* const * const btLCP::m_b

Definition at line 1217 of file btDantzigLCP.cpp.

## ◆ m_C

int* const * const * const btLCP::m_C

Definition at line 1221 of file btDantzigLCP.cpp.

## ◆ m_d

btScalar* const * const btLCP::m_d

Definition at line 1218 of file btDantzigLCP.cpp.

## ◆ m_Dell

btScalar* const btLCP::m_Dell

Definition at line 1219 of file btDantzigLCP.cpp.

## ◆ m_ell

btScalar* const * const btLCP::m_ell

Definition at line 1219 of file btDantzigLCP.cpp.

## ◆ m_findex

int* const btLCP::m_findex

Definition at line 1221 of file btDantzigLCP.cpp.

## ◆ m_hi

btScalar* const * const * const * const * const btLCP::m_hi

Definition at line 1217 of file btDantzigLCP.cpp.

## ◆ m_L

btScalar* const btLCP::m_L

Definition at line 1218 of file btDantzigLCP.cpp.

## ◆ m_lo

btScalar* const * const * const * const btLCP::m_lo

Definition at line 1217 of file btDantzigLCP.cpp.

## ◆ m_n

const int btLCP::m_n

Definition at line 1212 of file btDantzigLCP.cpp.

## ◆ m_nC

int btLCP::m_nC

Definition at line 1215 of file btDantzigLCP.cpp.

## ◆ m_nN

int btLCP::m_nN

Definition at line 1215 of file btDantzigLCP.cpp.

## ◆ m_nskip

const int btLCP::m_nskip

Definition at line 1213 of file btDantzigLCP.cpp.

## ◆ m_nub

int btLCP::m_nub

Definition at line 1214 of file btDantzigLCP.cpp.

## ◆ m_p

int* const * const btLCP::m_p

Definition at line 1221 of file btDantzigLCP.cpp.

## ◆ m_state

bool* const btLCP::m_state

Definition at line 1220 of file btDantzigLCP.cpp.

## ◆ m_tmp

btScalar* const * const * const btLCP::m_tmp

Definition at line 1219 of file btDantzigLCP.cpp.

## ◆ m_w

btScalar* const * const * const btLCP::m_w

Definition at line 1217 of file btDantzigLCP.cpp.

## ◆ m_x

btScalar* const btLCP::m_x

Definition at line 1217 of file btDantzigLCP.cpp.

The documentation for this struct was generated from the following file:

- btDantzigLCP.cpp